using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ekskurzija
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for (int i = 0; i < t; i++)
            {
                string[] str = Console.ReadLine().Split();
                int n = int.Parse(str[0]);
                int m = int.Parse(str[1]);
                int k = int.Parse(str[2]);
                int kmin = n / k;
                int rez = 0;
                int brojVecih = n % k;
                if (brojVecih == 0)
                    rez = k * kmin * (kmin + 1) / 2;
                else
                {
                    int brojIstih = k - brojVecih;
                    rez = brojIstih * kmin * (kmin + 1) / 2;
                    rez += brojVecih * (kmin + 1) * (kmin + 2) / 2;
                }
                if (m >= rez)
                    Console.WriteLine("Tak");
                else
                    Console.WriteLine("Nie");
            }
        }
    }
}